const path = require('path')
module.exports = {
    mode: 'development',
    output: {
        path: path.resolve(__dirname, 'dist'),
    },
    target: ['web', 'es5'],

    module: {
        rules: [{
            test: /\.(tsx|js|ts|jsx)$/, // 指定规则生效的文件：以ts结尾的文件
            use: [
            {
                test: /\.(jpe?g|png|gif|svg|webp)$/,
                use: {
                    loader: "file-loader",
                    options: {
                        outputPath: "img",
                        name: '[name]_[hash:6].[ext]',
                        esModule: false,
                    },
                },
                type: 'typescript/auto'
            },
        ]
    }], // 设置哪些文件类型可以作为模块被引用
}
}